# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
import os
import sys
sys.path.insert(0, os.path.abspath('../../src'))


# -- Project information -----------------------------------------------------

# General information about the project.
project = 'el-asasif'
copyright = '2022-now'
author = 'Régis Witz'
# Full version, including alpha/beta/rc tags
release = '1.0'


# -- General configuration ---------------------------------------------------

# Language for content autogenerated by Sphinx.
language = 'fr'

# Suffix of source filenames.
source_suffix = '.rst'
# Encoding of source files.
source_encoding = 'utf-8'

# Add any Sphinx extension module string names here. They can be extensions
# coming with Sphinx (named 'sphinx.ext.*') or custom ones.
extensions = [
  'sphinx.ext.autodoc',       # HTML generation from docstrings
  'sphinx.ext.coverage',
  'sphinx.ext.viewcode',

  'sphinx.ext.napoleon',      # Supports Google / Numpy docstring
  'sphinx.ext.autodoc',       # Documentation from docstrings
  'sphinx.ext.doctest',       # Test snippets in documentation
  'sphinx.ext.todo',          # to-do syntax highlighting
  'sphinx.ext.ifconfig',      # Content based configuration
]
# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = []
#exclude_trees = []


# -- Options for HTML output -------------------------------------------------

# Theme to use for HTML and HTML Help pages.
# Some themes are: 'default', 'sphinxdoc', 'alabaster', 'sphinx_rtd_theme', ...
html_theme = 'sphinx_rtd_theme'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named 'default.css' will overwrite the builtin 'default.css'.
html_static_path = ['_static']
